Как решить это: oracle-java8-installer недоступен?

Обнавляю Java в кали линуксе.

Выполняю команду: sudo apt-get install oracle-java8-installer

Выдает это:

Пакет oracle-java8-installer недоступен, но упомянут в списке зависимостей другого
пакета. Это может означать, что пакет отсутствует, устарел или
доступен из источников, не упомянутых в sources.list

E: Для пакета «oracle-java8-installer» не найден кандидат на установку.

Подскажите как решить данную проблему.

Инфу по Обновлению Java беру тут. https://opencentr.ru/article/ustanovka-java-8-9-ubuntu/

Дошел до сюда. И все . На этом моменте у меня остановка.
b49fb94d36dc51edc42b4.pngf35be9487c55cde781103.png Подскажите как добавить пакет данный в репозиторий системы.
  • Вопрос задан
  • 1754 просмотра
Пригласить эксперта
Ответы на вопрос 4
@akimdi
в чём проблема поставить джаву из нативного репозитория Kail Linux, встанет самая свежая версия кстати :)
sudo apt update && sudo apt install openjdk-11-jdk openjdk-11-jre openjdk-11-source -y


Подскажите как решить данную проблему.

Инфу по Обновлению Java беру тут. https://opencentr.ru/article/ustanovka-java-8-9-ubuntu/


и вообще зачем подключать PPA репозитории, если ты пользуешься Kali ??
Во-первых насколько я знаю в Kali Linux невозможно подключить подключить PPA. Это действие заблокировано на уровни политик системы. А во-вторых, даже если обойти это ограничение, зачем это делать??
Для чего?? Для какой цели?? Вы мне объясните!!!

Если Вам нужна версия джавы ИМЕННО от Оракла и ИМЕННО восьмерка, то это можно вручную скачать с сайта оракла и поставить. В чем проблема то???

P.S. в родных нативных репозиторях Kali есть всё что Вам нужно, не надо изобретать велосипед и что то подключать!!!
Ответ написан
uroot
@uroot
Никто
Выпилили из репозитория, видимо. Вам нужно найти репозиторий где лежит OracleJDK или же перейти на OpenJDK.
UPD: Хотя странно, почему apt-get его не видит. В репе он есть: https://launchpad.net/~webupd8team/+archive/ubuntu...
Можете вручную скачать и поставить deb пакет
Ответ написан
sergeygsd
@sergeygsd
врач-терапевт участковый
Источник : https://opencentr.ru/article/ustanovka-oracle-java...
alex@alex:/opt$ java -version
java version "1.8.0_201"
Java(TM) SE Runtime Environment (build 1.8.0_201-b09)
Java HotSpot(TM) 64-Bit Server VM (build 25.201-b09, mixed mode)
alex@alex:/opt$ javac -version
javac 1.8.0_201
alex@alex:/opt$ date
Сб фев 16 08:48:41 EST 2019
alex@alex:/opt$
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы